orrisapi en
  1. Producer
orrisapi en
  • How to Integrate CCAPI LLM into OpenClaw
  • Chat
    • Google
      • Gemini Generate Content
      • Gemini Stream Generate Content
    • Anthropic
      • Create Claude Message
    • OpenAI
      • Create Chat Completion
      • Create Response (OpenAI Responses API)
    • DeepSeek
      • Create Chat Completion
    • MiniMax
      • Create Chat Completion
    • Create Text Completion (Legacy)
      POST
  • Image
    • nano banana (Gemini Native)
      • Generate Image With Gemini Native API
    • nano banana (Pay-per-image)
      • Generate Image
  • Video
    • Vidu Video Generation API
    • Seedance Video Generation API
    • Generate Video
    • Query Video Task
    • Video Content Proxy
    • Kling Text-to-Video
    • Kling Text-to-Video Task Status
    • Kling Image-to-Video
    • Kling Image-to-Video Task Status
  • Images
    • Jimeng Image Generate
  • Audio
    • Producer
      • Producer Submit - Generate Music
        POST
      • Producer Submit - Generate Lyrics
        POST
      • Producer Submit - Extend Music
        POST
      • Producer Submit - Generate Cover
        POST
      • Producer Submit - Generate Variation
        POST
      • Producer Submit - Replace Track
        POST
      • Producer Submit - Vocals Swap
        POST
      • Producer Submit - Instrumentals Swap
        POST
      • Producer Submit - Stems Separation
        POST
      • Producer Submit - Download
        POST
      • Producer Submit - Upload Audio
        POST
      • Producer Submit - Generate Video
        POST
      • Producer Fetch Task by ID
        GET
      • Producer Fetch Tasks (Batch)
        POST
    • Suno
      • Suno Submit - Generate Music
      • Suno Submit - Generate Lyrics
      • Suno Submit - Extend Song
      • Suno Submit - Generate Cover
      • Suno Submit - Stems Separation
      • Suno Submit - Full Stems Separation
      • Suno Submit - Add Vocals
      • Suno Submit - Add Instrumental
      • Suno Submit - Replace Section
      • Suno Submit - Remaster
      • Suno Submit - Mashup
      • Suno Submit - Sample
      • Suno Submit - Generate Sound Effects
      • Suno Submit - Generate MIDI
      • Suno Submit - Upload Audio
      • Suno Submit - Concatenate Tracks
      • Suno Submit - Aligned Lyrics
      • Suno Submit - Generate Music Video
      • Suno Submit - Download as WAV
      • Suno Submit - Persona Voice
      • Suno Submit - Generate with BPM
      • Suno Submit - Vox (Vocals Only)
      • Suno Submit - Upsample Tags
      • Suno Fetch Task by ID
      • Suno Fetch Tasks (Batch)
    • Create Transcription
      POST
    • Create Translation
      POST
    • Suno Generate (Unified)
      POST
    • Suno Fetch (Unified)
      GET
    • Producer Generate (Unified)
      POST
    • Producer Fetch (Unified)
      GET
  • Embeddings
    • Create Embeddings
  • Models
    • List Models
    • Get Model
  • Moderation
    • Create Moderation
  • Midjourney
    • Midjourney Imagine
    • Midjourney Task Status
  • Realtime
    • Realtime API (WebSocket)
  • Schemas
    • RequestBodies
      • producerSubmitCoverBody
      • jimengGenerateBody
      • producerSubmitUploadBody
      • producerSubmitDownloadBody
      • producerFetchBatchBody
    • ErrorResponse
    • OpenAIError
    • ChatCompletionRequest
    • Message
    • ContentPart
    • ToolCall
    • ToolCallResponse
    • ChatCompletionResponse
    • ChatCompletionStreamResponse
    • ResponsesRequest
    • ResponsesResponse
    • ImageRequest
    • ImageResponse
    • VideoResponse
    • KlingText2VideoRequest
    • KlingImage2VideoRequest
    • AudioResponse
    • EmbeddingRequest
    • EmbeddingResponse
    • Model
    • Usage
    • ProducerMusicRequest
    • ProducerTaskResponse
    • ProducerFetchResponse
    • SunoMusicRequest
    • SunoTaskResponse
    • SunoFetchResponse
  1. Producer

Producer Submit - Generate Variation

Deprecated
POST
/producer/submit/VARIATION
Generate a variation of an existing track. Deprecated.

Request

Authorization
API Key
Add parameter in header
Authorization
Example:
Authorization: ********************
or
Body Params application/jsonRequired

Example
{
    "taskId": "string"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://api.ccapi.ai//producer/submit/VARIATION' \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "taskId": "string"
}'

Responses

🟢200success
application/json
Task submitted successfully
Body

Example
{
    "code": 200,
    "message": "success",
    "data": {
        "taskId": "string",
        "status": "PENDING"
    }
}
🟠401
🔴500
Modified at 2026-03-15 06:56:57
Previous
Producer Submit - Generate Cover
Next
Producer Submit - Replace Track
Built with